Index: lib/compiler/src/sys_expand_pmod.erl
===================================================================
RCS file: /it/project/fo/hipe/repository/otp/lib/compiler/src/sys_expand_pmod.erl,v
retrieving revision 1.5
diff -u -r1.5 sys_expand_pmod.erl
--- lib/compiler/src/sys_expand_pmod.erl	14 Nov 2004 16:05:38 -0000	1.5
+++ lib/compiler/src/sys_expand_pmod.erl	15 Nov 2004 06:38:36 -0000
@@ -218,6 +218,11 @@
 	true -> As1 = gexpr_list(As0,St),
 		{call,Line,{atom,La,F},As1}
     end;
+% Pre-expansion generated calls to erlang:is_record/3 must also be handled
+gexpr({call,Line,{remote,La,{atom,Lb,erlang},{atom,Lc,is_record}},As0},St)
+  when length(As0) == 3 ->
+    As1 = gexpr_list(As0,St),
+    {call,Line,{remote,La,{atom,Lb,erlang},{atom,Lc,is_record}},As1};
 % Guard bif's can be remote, but only in the module erlang...
 gexpr({call,Line,{remote,La,{atom,Lb,erlang},{atom,Lc,F}},As0},St) ->
     case erl_internal:guard_bif(F, length(As0)) or

